Bug 1379283 - gnutls: Support the pin-value attribute in RFC7512 URLs
Summary: gnutls: Support the pin-value attribute in RFC7512 URLs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnutls
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Nikos Mavrogiannopoulos
QA Contact: Stanislav Zidek
URL:
Whiteboard:
Depends On: 1374753
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-26 09:29 UTC by Nikos Mavrogiannopoulos
Modified: 2017-08-01 08:48 UTC (History)
3 users (show)

Fixed In Version: gnutls-3.3.26-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 08:48:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2292 normal SHIPPED_LIVE Moderate: gnutls security, bug fix, and enhancement update 2017-08-01 12:39:15 UTC

Description Nikos Mavrogiannopoulos 2016-09-26 09:29:21 UTC
Description of problem:
The final version of rfc7512 has several attributes which are not supported by gnutls. The most important being "pin-value" which allows applications to specify a PIN value on the URL itself. Currently we only support the pin-source option which allows to specify a file containing the PIN.

Comment 2 Nikos Mavrogiannopoulos 2017-02-22 13:43:57 UTC
https://gitlab.com/gnutls/gnutls/merge_requests/273

Comment 8 errata-xmlrpc 2017-08-01 08:48:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2292


Note You need to log in before you can comment on or make changes to this bug.